package com.zfire.jiasm.syncdata.download.other.refunds;

import lombok.extern.slf4j.Slf4j;

/** 新做的接口
 * 总部退换货总查询 - 总部退换货总查询接口
 * /api/zbthh/ext/search
 */
@Slf4j
// @Component
public class Query {
    /*
    @Resource
    TableDataQueryTimeService tableDataQueryTimeService;
    @Resource
    OtherDownService otherDownService;

    private SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    @Scheduled(fixedDelayString = "${ththhcx}")
    public void getInfo(){
        if (1==1){
            return;
        }

        // 提取数据
        List<TableDataQueryTime> tdqts = tableDataQueryTimeService.lambdaQuery()
                .eq(TableDataQueryTime::getType,3)
                .eq(TableDataQueryTime::getSynStatus,0)
                .eq(TableDataQueryTime::getNeedDown,1)
                .list();
        log.info("开始总部退换货下载: \uF0B7{}",sdf.format(new Date()));

        for (TableDataQueryTime item:tdqts){
            try{
                // 查询退换货
                otherDownService.detailRefunds(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("总部退换货下载失败");
            }
        }
        log.info("总部退换货下载结束: \uF0B7{}",sdf.format(new Date()));
    }
    */
}
